Bug 463054 - libbonobo.x86_64 should own %_prefix/lib/bonobo{,servers}
libbonobo.x86_64 should own %_prefix/lib/bonobo{,servers}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 462074
  Show dependency treegraph
 
Reported: 2008-09-21 05:26 EDT by Mamoru TASAKA
Modified: 2008-10-07 12:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 12:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-09-21 05:26:39 EDT
Description of problem:
With libbonobo-multishlib.patch, on 64 bits architecture bonobo server will
search server files in both /usr/lib{,64}/bonobo/servers.
Some noarch rpms in Fedora installs server files into /usr/lib/bonobo/servers
even on 64 bits archs.

However currently .x86_64 libbonobo rpm does not own /usr/lib/bonobo{,servers}.
These directories should also be owned by libnobono.

Version-Release number of selected component (if applicable):
libbonobo-2.23.1-2.fc10.x86_64
Comment 1 Matthias Clasen 2008-09-29 19:46:57 EDT
What noarch packages install files in /usr/lib/bonobo/servers ?!
Comment 2 Mamoru TASAKA 2008-09-29 22:15:45 EDT
(In reply to comment #1)
> What noarch packages install files in /usr/lib/bonobo/servers ?!

# repoquery --repoid=koji --whatprovides '/usr/lib/bonobo/servers/*' --qf '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}' | grep noarch
gnome-applet-jalali-calendar-1.6.5-3.fc10.noarch
gnome-applet-sshmenu-3.15-5.fc9.noarch
gnome-schedule-2.0.2-1.fc9.noarch
cohoba-0.0.4-6.fc10.noarch

These are written in ruby or python, so actually noarch.
Comment 3 Mamoru TASAKA 2008-10-07 12:37:39 EDT
So what is the status of this bug?
Comment 4 Ray Strode [halfline] 2008-10-07 12:52:44 EDT
well, we should probably make libbonobo lookin /usr/share/bonobo/servers

But given there's already people using /usr/lib/bonobo, let's take the easy way out.

building now.
Comment 5 Mamoru TASAKA 2008-10-07 12:58:52 EDT
Thanks!!

Note You need to log in before you can comment on or make changes to this bug.